#ifndef SH_MULTICAST_H
#define SH_MULTICAST_H

#include <pibroadcast.h>

class SHMulticast: public PIBroadcast {
	PIOBJECT_SUBCLASS(SHMulticast, PIBroadcast)
public:
	SHMulticast(bool send_only = false);
	~SHMulticast();
	
	void send(const PIByteArray & data, uint id = 0);

protected:
	void received(PIByteArray data) override;

	virtual void receivedSH(PIByteArray data, uint id) {}
	EVENT2(receiveEventSH, PIByteArray, data, uint, id)
	
};

#endif // SH_MULTICAST_H
